Bug 924262 - Problem with changing device type in manual partitioning
Problem with changing device type in manual partitioning
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-21 08:58 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-19.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 19:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (17.80 KB, text/x-log)
2013-03-21 09:03 EDT, Ľuboš Kardoš
no flags Details
packaging.log (589.23 KB, text/x-log)
2013-03-21 09:03 EDT, Ľuboš Kardoš
no flags Details
program.log (9.48 KB, text/x-log)
2013-03-21 09:04 EDT, Ľuboš Kardoš
no flags Details
storage.log (69.23 KB, text/x-log)
2013-03-21 09:11 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-03-21 08:58:49 EDT
Description of problem:
Problem with changing device type in manual partitioning.

Version-Release number of selected component (if applicable):
Fedora-19-Alpha-TC1
anaconda-19.12

How reproducible:
always

Steps to Reproduce:
1. Start installation proceed to manual partitioning spoke.
2. Add a new mountpoint.
3. Click on "Device and file system options...".
4. Change "Device Type" from "LVM" to "BTRFS".
5. Click on button "Apply Changes".
  
Actual results:
After clicking on "Apply Changes" button, "Device Type" turns back to "LVM". 


Expected results:
After clicking on "Apply Changes" button, "Device Type" should stay set to "BTRFS".


Additional info:
Comment 1 Ľuboš Kardoš 2013-03-21 09:03:28 EDT
Created attachment 713829 [details]
anaconda.log
Comment 2 Ľuboš Kardoš 2013-03-21 09:03:59 EDT
Created attachment 713831 [details]
packaging.log
Comment 3 Ľuboš Kardoš 2013-03-21 09:04:22 EDT
Created attachment 713832 [details]
program.log
Comment 4 Ľuboš Kardoš 2013-03-21 09:11:57 EDT
Created attachment 713836 [details]
storage.log
Comment 5 Chris Lumens 2013-03-21 09:39:39 EDT
dlehman has patches in the works that will change this all around anyway.
Comment 6 Martin Banas 2013-04-09 09:32:42 EDT
Hi Chris, any update on this?
Comment 7 David Lehman 2013-04-09 10:40:08 EDT
(In reply to comment #6)
> Hi Chris, any update on this?

I just pushed the changes to fix this yesterday and there has not been a build yet. I will verify that this works correctly and post the result here sometime today.
Comment 8 David Lehman 2013-04-09 14:04:22 EDT
This worked correctly when I tested with the code that will be in the next anaconda build (python-blivet-0.10-1, anaconda-19.17-1).
Comment 9 Ľuboš Kardoš 2013-04-10 03:38:40 EDT
Verified on anaconda-19.17-1 (Fedora 19 RC2).
Comment 10 Adam Williamson 2013-05-12 19:53:14 EDT
19.25 is stable now, so let's close this.

Note You need to log in before you can comment on or make changes to this bug.